import os
import shutil
from solo.date import Hour, JediDate, DateIncrement
from solo.logger import Logger
from solo.configuration import Configuration
from r2d2 import date_sequence

logger = Logger('gdas')
config = Configuration('config.yaml')
dates = date_sequence(config.start, config.end, config.step)

for date in dates:
    d = Hour(date).format('%Y%m%d%H')
    filename = f'{config.ob_root}/{d}_conv.tar'
    if not os.path.exists(filename):
        print(filename)

