import pytest
from tools import *

class TestR2D2:

    @classmethod
    def setup_class(cls):
        os.environ['R2D2_CONFIG'] = 'tests/config.yaml'

    @classmethod
    def teardown_class(cls):
        cleanup()


    @staticmethod
    def test_single_aircraft_file():
        run_queries('tests/data/single_aircraft_file.yaml')


    @staticmethod
    def test_two_types_aircraft_amsua_metopa():
        run_queries('tests/data/two_types_aircraft_amsua-metopa.yaml')


    @staticmethod
    def test_two_types_aircraft_amsua_metopa_three_dates():
        run_queries('tests/data/two_types_aircraft_amsua-metopa_three_dates.yaml')


    @staticmethod
    def test_two_dates_amsua_metopa():
        run_queries('tests/data/two_dates_amsua-metopa.yaml')


    @staticmethod
    def test_archive():
        compare_dirs('tests/data', 'tests/R2D2_archive')

    @staticmethod
    def test_cache():
        compare_dirs('tests/data', 'tests/R2D2_cache')

